schema_version: 0.1
type: consumer
identifier: sdl
title: SDL Fast YUV
version: 1
copyright: Meltytech, LLC
creator: Dan Dennedy
license: LGPLv2.1
language: en
tags:
  - Audio
  - Video
description: >
  Simple DirectMedia Layer audio and video output module.
parameters:
  - identifier: argument
    title: Video Standard
    type: string
    description: The size of the window as WxH pixels.
    required: no
  - identifier: volume
    title: Volume
    type: float
    description: Audio level factor.
    mutable: yes
  - identifier: video_off
    title: Video off
    type: integer
    description: If 1, disable video output
    mutable: yes
    minimum: 0
    maximum: 1
    default: 0
    widget: checkbox
  - identifier: audio_off
    title: Audio off
    type: integer
    description: If 1, disable audio output
    mutable: yes
    minimum: 0
    maximum: 1
    default: 0
    widget: checkbox
  - identifier: audio_buffer
    title: Audio buffer
    type: integer
    description: Size of the sdl audio buffer.
    mutable: yes
    default: 2048
    minimum: 128
